@import url('https://fonts.googleapis.com/css2?family=Pacifico&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');
:root {
    /*variables de color */
    --bitter-lime: #bcf628ff;
    --dark-purple: #231123ff;
    --sapphire-blue: #006494ff;
    --imperial-red: #ff0035ff;
    --orange-yellow-crayola: #f4d35eff;
    --gris-palido: rgb(232, 234, 235);
    --morado-class: #4F5085;
    --celeste-class: #2EADB8;
    --gris: #4F4F4B;
    --gris-oscuro: #232323;
}

* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
    font-family: 'Raleway', sans-serif;
}

.morado {
    color: var(--morado-class);
}

.celeste {
    color: var(--celeste-class);
}

.gris {
    color: var(--gris);
}

.gris-oscuro {
    color: var(--gris-oscuro);
}

.blanco {
    color: #f4f4f4;
}

.blanco-roto {
    color: #cbcbcb;
}

.back-celeste {
    background-color: var(--celeste-class);
}

.back-morado {
    background-color: var(--morado-class);
}

.pacifico {
    font-family: 'Pacifico', cursive;
}


/*Justificacion de texto*/

.texto_centrado {
    text-align: center;
}


/*Weight variables*/

.w900 {
    font-weight: 900;
}

.w800 {
    font-weight: 800;
}

.w700 {
    font-weight: 700;
}

.w600 {
    font-weight: 600;
}

.letrasmall {
    font-size: 0.9rem;
}


/*Tamaño de fuentes */


/* Tamaño de fuente para encabezados en pantallas grandes (mayores a 1200px) */

h1,
h2,
h3,
h4,
h5,
h6 {
    margin-top: 0.5em;
    margin-bottom: 0.5em;
}

p {
    margin-top: 0.8em;
    margin-bottom: 0.8em;
}

h1 {
    font-size: 5rem;
}

h2 {
    font-size: 4rem;
}

h3 {
    font-size: 3rem;
}

h4 {
    font-size: 2.5rem;
}

h5 {
    font-size: 2rem;
}

h6 {
    font-size: 1.5rem;
}

p {
    font-size: 1.2rem;
}


/* Tamaño de fuente para encabezados en pantallas medianas (entre 500px y 1200px) */

@media (max-width: 1200px) and (min-width: 500px) {
    h1 {
        font-size: 4rem;
    }
    h2 {
        font-size: 3.5rem;
    }
    h3 {
        font-size: 2.5rem;
    }
    h4 {
        font-size: 2rem;
    }
    h5 {
        font-size: 1.5rem;
    }
    h6 {
        font-size: 1rem;
    }
    p {
        font-size: 1rem;
    }
}


/* Tamaño de fuente para encabezados en pantallas pequeñas (menores a 500px) */

@media (max-width: 500px) {
    h1 {
        font-size: 3rem;
    }
    h2 {
        font-size: 2.5rem;
    }
    h3 {
        font-size: 2rem;
    }
    h4 {
        font-size: 1.5rem;
    }
    h5 {
        font-size: 1.25rem;
    }
    h6 {
        font-size: 1rem;
    }
    p {
        font-size: 0.8rem;
    }
}


/*Estilos de enlace-botón*/

.enlaceboton {
    background-color: var(--gris-palido);
    font-weight: 700;
    color: var(--morado-class);
    border-radius: 50px;
    padding: 10px 20px;
    margin-left: 18px;
    text-decoration: none;
    transition: all 0.3s ease;
}

.enlaceboton:hover {
    background-color: #110b33;
    color: #ffffff;
    cursor: pointer;
}


/*Estilos específicos*/

.degradado-morado {
    background: linear-gradient(90deg, rgb(144, 138, 245) 0%, rgb(108, 85, 191) 35%, rgb(0, 213, 193) 100%);
    /*background: linear-gradient(90deg, rgb(144, 138, 245) 0%, rgb(154, 100, 190) 35%, rgb(0, 212, 255) 100%);*/
    background-clip: border-box;
    background-clip: border-box;
    -webkit-background-clip: text;
    -webkit-text-fill-color: transparent;
}

.bgdegradado-morado-oscuro {
    background: linear-gradient(45deg, rgba(180, 137, 189, 1) 0%, rgba(78, 81, 134, 1) 100%);
}

.sombra-baja-celeste {
    box-shadow: inset 0 -0.5em 0 #92D0D5;
}

.back-blanco {
    background-color: white;
}


/*Sobreescritura de hamburger*/

.hamburger-box .hamburger-inner,
.hamburger-box .hamburger-inner::before,
.hamburger-box .hamburger-inner::after,
.hamburger.is-active .hamburger-inner,
.hamburger.is-active .hamburger-inner::before,
.hamburger.is-active .hamburger-inner::after {
    background-color: white;
}

.red-warning {
    color: red;
    margin-bottom: 5px;
}